Name:          python-telegram-bot
Version:       21.1.1
Release:       1mamba
Summary:       A pure Python interface for the Telegram Bot API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/python-telegram-bot/
Source:        http://pypi.debian.net/python-telegram-bot/python-telegram-bot-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(httpx)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q
sed -i "s|APScheduler==3.6.3|APScheduler>=3.6.3|;s|httpx~=.*|httpx|;s|httpx ~= .*|httpx|" \
   requirements.txt python_telegram_bot.egg-info/requires.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/python_telegram_bot-%{version}-py*.egg-info
%{python_sitearch}/python_telegram_bot-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Tue Apr 16 2024 Automatic Build System <autodist@openmamba.org> 21.1.1-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 21.1-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 21.0.1-1mamba
- automatic version update by autodist

* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 20.8-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 20.7-1mamba
- automatic version update by autodist

* Wed Oct 04 2023 Automatic Build System <autodist@mambasoft.it> 20.6-1mamba
- automatic version update by autodist

* Tue Oct 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20.4-2mamba
- remove versioned requirement for httpx

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 20.4-1mamba
- automatic version update by autodist

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 20.2-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 20.2-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Automatic Build System <autodist@mambasoft.it> 20.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 13.15-1mamba
- automatic version update by autodist

* Mon Sep 05 2022 Automatic Build System <autodist@mambasoft.it> 13.14-1mamba
- automatic version update by autodist

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 13.13-1mamba
- automatic version update by autodist

* Fri May 27 2022 Automatic Build System <autodist@mambasoft.it> 13.12-1mamba
- automatic version update by autodist

* Mon Feb 07 2022 Automatic Build System <autodist@mambasoft.it> 13.11-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 13.10-2mamba
- rebuilt with distdeps

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 13.10-1mamba
- automatic version update by autodist

* Mon Nov 15 2021 Automatic Build System <autodist@mambasoft.it> 13.8.1-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 13.3-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 13.2-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 13.0-1mamba
- update to 13.0

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 12.8-1mamba
- automatic update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 12.2.0-1mamba
- automatic version update by autodist

* Tue Dec 25 2018 Automatic Build System <autodist@mambasoft.it> 11.1.0-1mamba
- automatic version update by autodist

* Tue Dec 19 2017 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic update by autodist

* Fri Oct 28 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.0-1mamba
- package created using the webbuild interface
